:root {
    --red: #f9032f;
    --black: #000;
    --white: #fff;
    --blue: #070ab1;

}
/* Importing Google fonts - Inter */
@import url('https://fonts.googleapis.com/css2?family=Inter:opsz,wght@14..32,100..900&display=swap');
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

.navbar{
    background: var(--white);
    height: 60px;
    padding: 0.5rem calc((100vw - 1200px) / 2);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;

}

.navbar__logo{
    color: var(--blue);
    text-decoration: none;
    padding-left: 1rem;
    font-size: 1.0rem;
}

.navbar__link{
    color: var(--blue);
    text-decoration: none;
    padding: 0rem 1rem;
    
}

.navbar__link:hover {
    color:var(--red);
}

@media screen and (max-width: 768px){

    body.active{
        overflow-y: hidden;
        overflow-x: hidden;
    }

    .navbar__link{
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .navbar__menu{
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: repeat(4, 100px);
        position: absolute;
        width: 100%;
        top: -1000px;
        color: var(--blue);
    }

    .navbar__menu.active{
        top: 100%;
        opacity: 1;
        z-index: 99;
        height: 100vh;
        font-size: 1.5rem;
        background: var(--white);
    }

    .navbar__toggle .bar{
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.3s ease-in-out;
        background:var(--blue);
        display: block;
        cursor: pointer;
        
    }

    #mobile-menu{
        position: absolute;
        top: 15%;
        right: 5%;
        transform: translate(5%, 20%);
    } 
    
    #mobile-menu.is-active .bar:nth-child(2){
        opacity: 0;
    }

    #mobile-menu.is-active .bar:nth-child(1){
        transform: translateY(8px) rotate(45deg);
}

    #mobile-menu.is-active .bar:nth-child(3){
        transform: translateY(-8px) rotate(-45deg);
    }
    
    
    
}

/*hero section*/
.hero{
    background: url('images/cover3.jpg');
    height: 100vh;
    background-position: center;
    background-size: cover;
    padding: 0.5rem calc((100vw - 1200px) / 2);
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.hero__content{
    color: #070ab1;
    -webkit-text-stroke: 0.5px var(--white);
    padding: 3rem 1rem;
    line-height: 1;
    

}

.hero__content h1{
    font-size: clamp(3rem, 8vw , 7rem);
    text-transform: uppercase;
    margin-bottom: 0.5rem;
    
}

.hero__content p{
    font-size: clamp(1rem, 4vw, 2.5rem);
    margin-bottom: 3rem;
    color: var(--black);
}


.button{
    padding: 1rem 3rem;
    border: none;
    background: var(--red);
    color: var(--white);
    font-size: 1rem;
    cursor: pointer;
    outline: none;
    transition: 0.3s ease;
    text-decoration: none;
    border-radius: 4px;
}
.button:hover{
    background: var(--black);
}

/*servcies section*/

.services{
    padding: 2em calc((100vw - 1200px) / 2);
    background-color: var(--white);
    margin-bottom: 1em;
}

.services__container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 1rem;
 background-color: var(--blue);
 color: var(--white);

}

.services__img{
    width: 100%;
    height: 100%;
}

.topline{
    color: var(--red);
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 0.5 rem;
}

.services__heading{
    margin-bottom: 1rem;
    font-size: clamp(2rem, 6vw, 3 rem);
}

.services__features{
    list-style: none;
}

.services__feature{
    margin-bottom: 1.5rem;
    font-size: clamp(1rem, 5vw, 1.2rem);
}

.fa-check-circle{
    margin-right: 0.5rem;
    color: var(--red);
}

@media screen and (max-width: 768px){
    .services__container{
        grid-template-columns: 1fr;
    }
}

/*products*/

.memberships{
    background: var(--white);
    color: var(--blue);
    padding: 2rem calc((100vw - 1100px) / 2);
    text-align: center;
}

.memberships h1{
    margin-bottom: 1rem;
    font-size: clamp(2rem, 5vw, 3rem);
    padding: 0 1rem;
}

.membership__desc{
    margin-bottom: 1em;
    font-size: clamp(1rem, 3vw, 1.5rem);
    padding: 1em;
}

.membership__wrapper{
    display:flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 1em;
}

.membership__card{
    padding: 1em;
    min-height: 450px;
    width: 325px;
    background: var(--blue);
    color: var(--white);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-left: 0.5em;
    margin-right: 0.5em;
}

.membership__perks{
    min-height: 150px;

}

.membership__card p {
    margin-bottom: 1em;
}

.card-icon{
    font-size: 3rem;
    margin-bottom: 2rem;
    color: var(--red);

}

.membership__card h3{
    font-size: clamp(1rem, 5vw, 2rem);
    margin-bottom: 1em;
}

@media screen and (max-width: 1100px) {
    .membership__wrapper{
        flex-direction: column;
        align-items: center;

    }

    .membership__card{
        width: 90%;
        margin-bottom: 2rem;
    }
}

/* team section */

.team{
    padding: 8rem calc((100vw - 1100px) / 2 );
}

.team__wrapper{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: repeat(auto, 350px);
}

.team__card{
    margin: 1rem;
    border-radius: 10px;
    position: relative;
}

.team__text{
    padding: 1rem;
}
 
.team__text h1{
    margin-bottom: 1rem;
    font-size: 3rem;

}

.team__desc{
    font-size: clamp(1rem, 3vw, 1.3rem);
    line-height: 1.4;
}

.team__card p {
    position: absolute;
    bottom: 30px;
    color: var(--red);
    left: 25px;
    font-size: 3rem;
}

.team__img{
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

.team__text:nth-child(1) {
    grid-row: 1 /3;
    grid-column: 2 /3;
}

.team__text:nth-child(2) {
    grid-row: 5 /6;
    grid-column: 1 /2;
}

.team__card:nth-child(3) {
    grid-row: 1 /3;
    grid-column: 1 /2;
}

.team__card:nth-child(4) {
    grid-row: 2 /4;
    grid-column: 2 /3;
}

.team__card:nth-child(5) {
    grid-row: 3 /5;
    grid-column: 1 /2;
}

.team__card:nth-child(6) {
    grid-row: 4 /6;
    grid-column: 2 /3;
}

@media screen and (max-width: 768px){
    .team__wrapper{
        grid-template-columns: 1fr;
        grid-template-rows: auto;
    }

    .team__text:nth-child(1) {
        grid-row: 1 /2;
        grid-column: 1 /2;
    }
    
    .team__text:nth-child(2) {
        grid-row: 6 /7;
        grid-column: 1 /2;
    }
    
    .team__card:nth-child(3) {
        grid-row: 3 /4;
        grid-column: 1 /2;
    }
    
    .team__card:nth-child(4) {
        grid-row: 4 /5;
        grid-column: 1 /2;
    }
    
    .team__card:nth-child(5) {
        grid-row: 5 /6;
        grid-column: 1 /2;
    }
    
    .team__card:nth-child(6) {
        grid-row: 2 /3;
        grid-column: 1 /2;
    }
}

/*form section*/

.email{
    background: url('images/bottom\ blue.jpg');
    background-size: cover;
    height: 450px;
    width: 100%;
    padding: 5rem calc((100vw - 1300px) / 2 );
    color: var(--black);
    display: flex;
    justify-content: center;
    align-items: center;
}

.email__content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.email__content h1{
    text-align: center;
    margin-bottom: 1rem;
    font-size: clamp(1rem, 5vw, 3rem);
    padding: 0 1rem;
   color: var(--white);
   -webkit-text-stroke: 0.5px var(--black);
}

.email__content p {
    text-align: center;
    font-size: clamp(1rem, 2.5vw, 1.5rem);
   color: var(--white);
    padding: 0 1rem;
    margin-bottom: 2rem;
    -webkit-text-stroke: 0.5px var(--black);
}

form{
    z-index: 10;
}

.form__wrap input {
    padding: 1rem 1.5rem;
    outline: none;
    width: 350px;
    height: 50px;
    border: none;
    margin-right: 1rem;
    border-radius: 4px;
}

@media screen and (max-width: 768px) {
    .form__wrap {
        display: flex;
        flex-direction: column;
        padding: 0 1rem;
    }
    .form__wrap input{
        margin-bottom: 1rem;
        width: 100;
        margin-right: 0;

    }

    button{
        width: 100%;
        min-width: 350px;

    }
}


@media screen and (max-width: 400px){
    button{
        width: 100%;
        min-width: 250px;

    }
}

/* footer section */

.footer{
    padding: 5rem calc((100vw - 1100px) / 2);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    color: var(--red);
    background: var(--white);
    margin-top: 1em;
}

.footer__desc{
    padding: 0 2rem;
}

.footer__desc h1{
    margin-bottom: 2rem;
    color: var(--red);
    font-size: 1.5rem;

}

.footer__desc p {
    margin-bottom: 1rem;

}

#phone{
    font-weight: bold;
    font-size: 1.2rem;

}

.footer__wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.footer__links{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem 2rem;
}
.footer__title{
    font-size: 14px;
    margin-bottom: 16px;

}

.footer__link {
    text-decoration: none;
    color: rgb(19, 15, 15);
    font-size: 14px;
    margin-bottom: 0.5rem;
    transition: 0.3s ease-in-out;
}
.footer__link:hover{
    color: var(--red);
}

@media screen and (max-width: 820px){
    .footer__wrapper{
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 400px){
    .footer__desc{
        padding: 1rem;
    }

    .footer__links{
        padding: 1rem;
    }


    


    
}